export const Map_KEY = 'dcd3ac68361d78c041daf0c652258e3a';
export const MAP_WEB_SERVER_KEY = '101919143a71ca93838ac289284c72d0';
export const globalColorConfigs = [
	'#00A0FF',
	'#00CCD6',
	'#28B88E',
	'#FF7260',
	'#FF9000',
	'#FFCA52',
	'#FF7260',
	'#CA30F0',
	'#FF7EA5',
	'#2EC944',
	'#0090E6',
	'#7D30F0',
];
export enum PARTICIPATION_TYPE_KEY {
	'professional_subcontracting' = 1,
	'equipment_subcontractin',
	'material_subcontractin',
	'logistics_services',
	'special_equipment',
	'labor_subcontracting',
	'supervision_unit',
	'construction',
	'contract',
	'survey',
	'design',
	'other',
}
const default_persontypes = [1009, 1022, 1018, 1031, 1030, 1032, 1033];
export const PARTICIPATION_TYPE = {
	[PARTICIPATION_TYPE_KEY.professional_subcontracting]: {
		name: '专业分包',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.equipment_subcontractin]: {
		name: '设备分包',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.material_subcontractin]: {
		name: '材料分包',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.logistics_services]: {
		name: '后勤服务',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.special_equipment]: {
		name: '特殊设备',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.labor_subcontracting]: {
		name: '劳务分包',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.supervision_unit]: {
		name: '监理单位',
		personTypes: [1001, 1002, 1003, 1004, 1005, 1006, 1007, 1024, 1033],
	},
	[PARTICIPATION_TYPE_KEY.construction]: {
		name: '建设单位',
		personTypes: [1008, 1009, 1010, 1011, 1012],
	},
	[PARTICIPATION_TYPE_KEY.contract]: {
		name: '总承包单位',

		personTypes: [
			1009,
			1014,
			1015,
			1012,
			1013,
			1016,
			1017,
			1018,
			1019,
			1020,
			1021,
			1022,
			1023,
			1025,
			1026,
			1027,
			1028,
			1029,
			1030,
		],
	},
	[PARTICIPATION_TYPE_KEY.survey]: {
		name: '勘察单位',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.design]: {
		name: '设计单位',
		personTypes: default_persontypes,
	},
	[PARTICIPATION_TYPE_KEY.other]: {
		name: '其他',
		personTypes: default_persontypes,
	},
};
export const PERSON_TYPE = {
	1001: '总监理工程师',
	1002: '副总监理工程师',
	1003: '安全监理工程师',
	1004: '专业监理工程师',
	1005: '监理工程师',
	1006: '监理员',
	1007: '监理安全员',
	1008: '项目总工程师',
	1009: '项目经理',
	1010: '工程经理',
	1011: '项目技术负责人',
	1012: '项目工程师',
	1013: '项目管理员',
	1014: '项目副经理',
	1015: '项目总监',
	1016: '施工员',
	1017: '质量员',
	1018: '安全员',
	1019: '标准员',
	1020: '材料员',
	1021: '机械员',
	1022: '劳务员',
	1023: '资料员',
	1024: '总监理工程师代表',
	1025: '测量员',
	1026: '实验员',
	1027: '造价员',
	1028: '质量负责人',
	1029: '安全负责人',
	1030: '技术负责人',
	1031: '生产经理',
	1032: '物资材料工程师',
	1033: '其他',
};

export const CERTIFICATE_TYPE = {
	1: '居民身份证',
	2: '护照',
};
