import * as React from 'react';

import './index.scss';
interface Iprops {
	title: string;
	className?: string;
	renderMore?: JSX.Element;
}
const BoxContainer: React.FC<Iprops> = (props) => {
	const { title, className, children, renderMore } = props;
	return (
		<div className={`hadware-box-wrapper ${className}`}>
			<div className='hadware-box-header'>
				<span className='hadware-box-title'>{title}</span>
				{renderMore}
			</div>
			<div className='hadware-box-body'>{children}</div>
		</div>
	);
};
export default BoxContainer;
