import { createContext } from 'react';
const StoreContext = createContext<{
  projectInfo: {
    name: string;
    project_plan: string;
    project_effect_pic: string;
    start_day: string;
    end_day: string;
  };
  userInfo: {
    username: string;
    isAdmin: boolean;
  };
  changeProjectInfo: (data: any) => void;
  changeUrseInfo: () => void;
}>({
  projectInfo: {
    name: '',
    project_plan: "",
    project_effect_pic: "",
    start_day: '',
    end_day: '',
  },
  userInfo: { username: '', isAdmin: false },
  changeProjectInfo: (data: any) => {},
  changeUrseInfo: () => {},
});
export default StoreContext;
