import pm10 from './static/pm10.png';
import pm25 from './static/pm2.5.png';
import noiseIcon from './static/noise-icon.png';
import windIcon from './static/wind-icon.png';
export const overViewList = [
	{
		name: '项目类型',
		key: 'category',
	},
	{
		name: '工程造价',
		key: 'price',
		uint: '万元',
	},
	{
		name: '建筑面级',
		key: 'covered_area',
		uint: 'm²',
	},
	{
		name: '施工单位',
		key: 'construction',
	},
	{
		name: '建设单位',
		key: 'development',
	},
	{
		name: '监理单位',
		key: 'oversee',
	},
	{
		name: '设计单位',
		key: 'design',
	},
	{
		name: '勘察单位',
		key: 'exploration',
	},
];
export const environmentalColums = [
	{ name: 'PM2.5', key: 'pm25', icon: pm25, unit: 'μg/m³', color: '#00A0FF' },
	{ name: '噪音', key: 'b03', icon: noiseIcon, unit: 'dB', color: '#28B88E' },
	{ name: 'PM10', key: 'pm10', icon: pm10, unit: 'μg/m³', color: '#00CCD6' },
	{ name: '风向', key: 'w01', icon: windIcon, unit: '°', color: '#00A0FF' },
];
